# Enum ResponseFormat

java.lang.Object
java.lang.Enum<ResponseFormat>
com.codename1.ai.ResponseFormat

All Implemented Interfaces:
  `Comparable<ResponseFormat>`

public enum ResponseFormat extends Enum<ResponseFormat>
Constrains the model's output format. `TEXT` is the default; `JSON_OBJECT` forces the model to emit valid JSON (OpenAI/Gemini honour this directly; Anthropic emulates via a system-prompt guardrail in the client).

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `JSON_OBJECT`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResponseFormat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ResponseFormat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final ResponseFormat TEXT

  - ### JSON_OBJECT

    public static final ResponseFormat JSON_OBJECT

- ## Method Details

  - ### values

    public static ResponseFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ResponseFormat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null